Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Repository_Configuration Class Reference

Maintains the server configurations. More...

`#include <Repository_Configuration.h>`

Collaboration diagram for Repository_Configuration:

[legend]
List of all members.

## Public Methods
| Repository_Configuration (const char *repository_mode)
| Default Constructor.
| ~Repository_Configuration ()
| Destructor.
const ACE_Configuration_Section_Key & | root_section ()
int | open ()
int | open (const char *file_name)
| opens a configuration based on a file name
int | open_section (const ACE_Configuration_Section_Key &base, const char *sub_section, int create, ACE_Configuration_Section_Key &result)
int | remove_section (const ACE_Configuration_Section_Key &key, const char *sub_section, int recursive)
int | enumerate_sections (const ACE_Configuration_Section_Key &key, int Index, ACE_CString &name)
int | set_string_value (const ACE_Configuration_Section_Key &key, const char *name, const ACE_CString &value)
int | set_integer_value (const ACE_Configuration_Section_Key &key, const char *name, u_int value)
int | get_string_value (const ACE_Configuration_Section_Key &key, const char *name, ACE_CString &value)
int | get_integer_value (const ACE_Configuration_Section_Key &key, const char *name, u_int &value)
## Private Attributes
ACE_Configuration * | config_

## Detailed Description

Maintains the server configurations.

Class to help maintain the xml and non-win32 registry configuration.

## Constructor & Destructor Documentation

Repository_Configuration::Repository_Configuration | ( | const char * | repository_mode | ) |

| Default Constructor.

Repository_Configuration::~Repository_Configuration | ( |  | ) |

| Destructor.

## Member Function Documentation

int Repository_Configuration::enumerate_sections | ( | const ACE_Configuration_Section_Key & | key,
|  | int | Index,
|  | ACE_CString & | name
| ) |

int Repository_Configuration::get_integer_value | ( | const ACE_Configuration_Section_Key & | key,
|  | const char * | name,
|  | u_int & | value
| ) |

int Repository_Configuration::get_string_value | ( | const ACE_Configuration_Section_Key & | key,
|  | const char * | name,
|  | ACE_CString & | value
| ) |

int Repository_Configuration::open | ( | const char * | file_name | ) |

| opens a configuration based on a file name

int Repository_Configuration::open | ( |  | ) |

int Repository_Configuration::open_section | ( | const ACE_Configuration_Section_Key & | base,
|  | const char * | sub_section,
|  | int | create,
|  | ACE_Configuration_Section_Key & | result
| ) |

int Repository_Configuration::remove_section | ( | const ACE_Configuration_Section_Key & | key,
|  | const char * | sub_section,
|  | int | recursive
| ) |

const ACE_Configuration_Section_Key & Repository_Configuration::root_section | ( |  | ) |

int Repository_Configuration::set_integer_value | ( | const ACE_Configuration_Section_Key & | key,
|  | const char * | name,
|  | u_int | value
| ) |

int Repository_Configuration::set_string_value | ( | const ACE_Configuration_Section_Key & | key,
|  | const char * | name,
|  | const ACE_CString & | value
| ) |

## Member Data Documentation

ACE_Configuration* Repository_Configuration::config_`[private]`

The documentation for this class was generated from the following files:

- Repository_Configuration.h
- Repository_Configuration.cpp